<?php
namespace pbVendor\MagentoPageBuilder\Plugin\Wysiwyg;

use Magento\Framework\DataObject;
use Magento\Framework\View\Asset\Repository;
use Magento\PageBuilder\Model\Wysiwyg\DefaultConfigProvider;

/**
 * Class Config Plugin
 */
class ConfigPlugin
{
    /**
     * @var Repository
     */
    private $assetRepo;

    /**
     * @var array
     */
    private $additionalSettings;

    public function __construct(
        Repository $assetRepo,
        array $additionalSettings
    ) {
        $this->assetRepo = $assetRepo;
        $this->additionalSettings = $additionalSettings;
    }

    // public function afterGetConfig(
    //     DefaultConfigProvider $subject,
    //     DataObject $result
    // ) {
    //     $result->addData(['settings' => $this->additionalSettings ]);
    //     return $result;
    // }

    public function afterGetConfig(
        DefaultConfigProvider $subject,
        DataObject $result
    ) {
        $result->addData(['settings' => $this->additionalSettings ]);
        return $result;
    }

}